package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScoreRoomUserMapper;
import com.ruoyi.system.domain.ScoreRoomUser;
import com.ruoyi.system.service.IScoreRoomUserService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-10-30
 */
@Service
public class ScoreRoomUserServiceImpl implements IScoreRoomUserService 
{
    @Autowired
    private ScoreRoomUserMapper scoreRoomUserMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param roomUserId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public ScoreRoomUser selectScoreRoomUserByRoomUserId(Long roomUserId)
    {
        return scoreRoomUserMapper.selectScoreRoomUserByRoomUserId(roomUserId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param scoreRoomUser 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<ScoreRoomUser> selectScoreRoomUserList(ScoreRoomUser scoreRoomUser)
    {
        return scoreRoomUserMapper.selectScoreRoomUserList(scoreRoomUser);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param scoreRoomUser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertScoreRoomUser(ScoreRoomUser scoreRoomUser)
    {
        return scoreRoomUserMapper.insertScoreRoomUser(scoreRoomUser);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param scoreRoomUser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateScoreRoomUser(ScoreRoomUser scoreRoomUser)
    {
        return scoreRoomUserMapper.updateScoreRoomUser(scoreRoomUser);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param roomUserIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteScoreRoomUserByRoomUserIds(Long[] roomUserIds)
    {
        return scoreRoomUserMapper.deleteScoreRoomUserByRoomUserIds(roomUserIds);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param roomUserId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteScoreRoomUserByRoomUserId(Long roomUserId)
    {
        return scoreRoomUserMapper.deleteScoreRoomUserByRoomUserId(roomUserId);
    }
}
